Involute and cycloidal introduction

Involute and Cycloidal Gear Generator

This application is used as an aid to the design of simple spur gears using involute or cycloidal tooth forms. It shows a preview of the tooth form or of the whole wheel. It generates a simple DXF file which can be imported into a CAD package. It also generates an ISO cnc mill file from which a part may be manufactured.

The program can additionally design deadbeat and recoil escape wheels, ratchet wheels, chain wheels and plain pulleys

The program will interact by regenerating whenever you alter a design parameter. Values which have to be typed will be actioned when you press return. Check boxes and radio buttons will cause a regeneration immediately. Each time the wheel is regenerated the GCode file and the DXF file will be rewritten.

The interactive nature is a big feature of the software. For example you can change the primary (tooth) cutter with a spin control, and immediately see the effect.

It is possible to use this program in a very simple way to start with, and you can add more subtle features as you learn. It supports many different cutters and you can assign which cutter performs which stage of the machining.

Note from the outset that laminating is your friend. If you want to make a thickish wheel with a very fine cutter, always consider making many thin identical wheels and pinning them together. The precision boring of the pin holes can be made part of the process, and when assembled you will be hard pressed to see the layers.

You can go to town with sophisticated clamping arrangements. I personally make wheels by gluing a brass sheet to a wooden block. When the machining is finished I soak it off the wood with a solvent.


Minimum system requirements

Your computer needs to be running Windows Vista or Windows 7, 8 or 10

There should be no problems with any machine manufactured within the last four years. Your biggest enemies are viruses, spybots and trojans. These are malicious programs which infect a computer and consume a proportion of its resources in order to gather information about you, or to bombard someone's web site under remote control. Apart from this consideration, a Pentium 3 or above, 512Mb of RAM or more, and a fast graphics card will ensure pleasing results. Needless to say, the fewer other tasks that the computer has to attend to the better.

A slower system will simply take longer to regenerate the preview window, but it will still do the job


New design

New design (File menu)

Use this command to reset the design filename to *.txt and reset all the design parameters to their default values. This command should always get you out of trouble!

The DXF file and the NC file specifications will be changed to NONAME.NC and NONAME.DXF repectively.

All settings will be restored to installation defaults. This provides a safe starting point for any kind of wheel supported. Only one cutter is enabled, and the wheel defaults to an involute with five spokes and a bore hole. There is no gutter, intertooth gash, or spoke pre-cut.


Design file

You can save and load your design as a text file. By careful choice of file names you will be able to build an archive of your designs.

If you attempt to close the program with unsaved changes you will be given a reminder.

Should you choose not to save your file, the program will still re-open with the same settings since they are saved in the registry.

|The "File | New" menu selection will wipe out all of your settings and revert to a demo wheel as a starting point for your design.


DXF file

The path and filename of the DXF file, which will be generated only when you click "Make DXF". If the path field is blank, then no DXF file will be generated.

The coordinate origin is the top surface of the centre of the wheel.

Be aware that the DXF file will always show the path of the centre of the cutter. So if you want your DXF file to accurately portray your design, you must set all selected cutters to zero.

To try a simple design, start by performing a "File | New design". This will set everything to the defaults, and only enable one cutter. Then, set the cutter size to zero.

If you want to import into a CAD package, it will simplify matters if you turn off View | Pitch circle.

The DXF file may be imported into 3d CAD packages. Fusion 360 seems particularly easy. From a blank drawing, go to File | Open | Open from my computer, and choose the DXF file you created in GearWheel Designer. Once the file has loaded, hover the mouse over the body of the wheel. When it lights up, click it. Then, from SOLID area of the toolbar click Extrude. In the resulting box which opens, enter a thickness and press return. It really is that simple!


Point curve file

Points Curve file

The path and filename of the Points Curve file, which will be generated only when you click "Make Point". If the path field is blank, then no Points Curve file will be generated.

The coordinate origin is the top surface of the centre of the wheel.

Be aware that the Points Curve file will always show the path of the centre of the cutter. So if you want your Points Curve file to accurately portray your design, you must set all selected cutters to zero.

To try a simple design, start by performing a "File | New design". This will set everything to the defaults, and only enable one cutter. Then, set the cutter size to zero.

The main use of a Points Curve file is to allow import into Design Spark Mechanical.

A brief how to do it follows:

It will slightly simplify things if you turn off the pitch circle in View | Pitch circle?

Make sure that your cutter diameter is set to zero. Manipulate your design until you are happy with it. Ensure that you know where the point curve file will be saved; it is set in File | Choose Point Curve File ...

Click the button Make point.

Switch to Design Spark Mechanical and start with a new blank document. From the Insert section of the toolbar, click File. Set the file filter to Point curve (*.txt), navigate to and open your point curve file.

You should now see an image of your design. Use Ctrl+A to select all. Whilst selected press Fill which is in the Edit section of the toolbar. This will fill everything. Now click Pull which is in the same section of the toolbar.

If you now hover over the image, you should see different areas light up. Rest over the main body of the wheel and you should then see a complete wheel image. Click this and the image will change colour. Immediately type a thickness on the keyboard (eg 5 for 5 mm) and press return. If all has gone to plan you should now see your wheel has thickness.

Go to the tree view on the left. Open up the curves section and select each curve and delete it. There will also be one surface. Select and delete that. All that should be left now is one solid.


GCode file

The path and filename of the ISO GCode file. If this field is blank, or otherwise an illegal file name, then no GCode file will be generated.

The coordinate origin is always the top surface of the centre of the wheel.


AMF file

STL/AMF file

The path and filename of the STL or AMF file, which will be generated only when you click "Make STL/AMF". If the path field is blank, then no file will be generated.

The coordinate origin is normally the top surface of the centre of the wheel. However, in order to make the design more easy to see in an editor I have displaced it so that the bottom sits on the lower reference plane.

AMF files (Additive Manufacturing Format) are a portable format for conveying designs to 3d printers. The most important rule to observe when doing this is to ensure that (all) cutters are of zero width. Otherwise your design will print smaller than you intended.

STL files perform a similar function

My 3d file only contains the vertical shell of the wheel. There are no lids on the top and the bottom. However, many slicer programs seem able to cope with this.

To try a simple design, start by performing a "File | New design". This will set everything to the defaults, and only enable one cutter. Then, set the cutter size to zero. Don't be too ambitious with the resolution; try a module of at least 2 to start with. When happy with the design, click the "Make STL/AMF" button. Import the file into your printer slicer software and take it from there.

Points to note:
Paths for Teeth, Spokes, Boreholes, Drills and the Shaft hole will feature in the 3d file. If you are using drills, you will need to set a tool diameter for these.
Roughing cuts will never appear.
Remember it is the centre path of the cutter which is used in the file so make sure your main cutter is of zero width.
Halfwheels are not supported in 3d files.

PrusaSlicer is one (very good) slicer which is able to import my 3d files.


Print

Print the design screen to a printer.


(File Exit command)

Exit command (File menu)

Use this command to end your session. You can also use the Close command on the application Control menu. You will be prompted to save designs with unsaved changes.


Measuring units

Toggle between imperial (inch) and metric (mm) units. Note that when you change units, all your existing dimensions are converted. This will inevitably lead to a small rounding error which may not be exactly reversible.


Z Settings

Final Z depth of cut

The depth of cut is specified as the Z coordinate of the bottom of the cut. By definition, since the top surface of the billet is Z=0, the bottom of the cut will have a negative value.

Often the bottom of the cut will be chosen to lie slightly below the bottom face of the billet. In this case thought must be given to how the job will be secured to avoid displacement as penetration occurs. It is common to use a piece of sacrificial packing, or even to glue the billet to some flat wood. Please be very careful not to mar the table of your machine.

Passes

The maximum Z depth of cut will be determined by machinist's considerations such as the material, the diameter of the cutter, whether coolant is applied etc.

The number of passes determines how many equal incremental Z feeds will be used to reach the final Z depth. For example, a bottom Z of -4.0 mm, reached in eight passes, will invoke a cut of 0.5 mm per pass.

Note that the value for passes is only incorporated in the GCode file. The DXF file is always single pass.

Surface clearance

The surface clearance specifies the Z coordinate to be assumed for rapid traverses above the billet. It is assumed that this value will be used when there is no danger of a collision with a fixture.

Fixture clearance

The fixture clearance specifies the Z coordinate to be assumed for rapid traverses above the billet. This value is assumed when moving form one part of the job to the next, teeth to spokes for example.

Z feed rate

The Z feed rate is used when plunging the cutter. Note the only exception to this is when drilling; the feedrate specified in the cutter table is used instead.

Sequence of operations

The default sequence of operations is:

  • Drill
  • Pilot hole
  • Gutter
  • Inter-tooth gash
  • Rough spokes
  • Teeth
  • Spokes
  • Bore centre hole
  • Holes, supplementary

The sequence is presented as a list. To change the order, select an item in the list and move it up or down using the arrow buttons.

To disable an operation, check the corresponding disable check box. (Yes, unchecked means it is enabled!)

(Note that there are no longer buttons on the main window for selecting pilot hole and pre-gash. This has now been superceded by this dialog.)

Drill

You can drill up to twelve holes at arbitrary locations within your design. A hole will be drilled at the X and Y coordinates specified for any hole with a specified destination depth less than zero. This means that the depth will a negative value

You can also place up to 360 drill holes at regular intervals around a circle of a specified radius. This is handy for making pin wheels and lantern pinions.

The specified cutter diameter in the cutter table is only used for drawing the spot on the graphical display. You can have several different sizes of drill if you wish. Check "Pause after every hole" to have the opportunity of changing the drill. Note that in the case of a drill, the cutter feed rate is the vertical feed.

The drill cycle uses pecking, with four pecks. Note that the feedrate specified in the cutter table is in this case the vertical feed rate.

Pilot hole

You can choose to have a pilot hole formed at the centre of the wheel. This is a simple vertical plunge of the specified cutter, but it is pecked using the number of passes selected in order to clear the swarf from the flutes of the cutter. You can if you prefer elect to drill the centre hole (see above).

Gutter

This process will clear a circular trough outside of the tip diameter of the wheel. As well as reducing the stresses on the cutter for final tooth shaping, it also provides a reservoir for coolant. The process leaves a witness of 0.25 times the specified tooth cutter for cleanup.

Pre-gash

In order to clear some space for the cutter to accurately form the teeth it might be considered prudent to perform a pre-gash. This process cuts the profile of the teeth using usually (but not necessarily) a thicker cutter. The cut is displaced so that there is still 1/4 of the final cutter diameter to be removed by the final cut. As well as reducing the stresses on the cutter for final tooth shaping, it also provides a reservoir for coolant.

Rough spokes

Will rough out the spokes using the specified cutter, leaving a witness of 0.25 times the diameter of the actual spoke cutter for finishing.

Teeth

This is the main function of the program, to cut the teeth

Spokes

The finishing cut of the spokes

Bore centre hole

A shaft hole is precision bored in the centre of the wheel

Supplementary bore holes

Other holes can be precision bored, for example for pinning.

Pause

In the generated code you can insert a pause (M00) before each operation by checking the pause box. This is ideal for manual tool changing. If a non-zero tool station Z is specified in the NC settings dialog, the cutter will retract to this height.

Cutter selection

You can select which cutter number to associate with each phase of the wheel manufacture. The cutters are numbered 1 to 9. It is quite permissible to specify the same cutter for more than one operation

Cutter table

The cutter table allows you to set the diameter, feed-rate and RPM for each of up to nine cutters. The cutter numbers correspond with the selected cutter number for an operation. You can use the same cutter for several operations.

For each cutter which is not a drill, the feed rate specified is lateral. For drills, the feed rate is longitudinal.

The cutter diameter control on the main window only affects the cutter number chosen to cut the teeth of the wheel. Of course if the same cutter is specified for several operations (eg the initial defaults), then all operations will be controlled at the same time.

Length compensation.

If length compensation is selected, then the assumption is that your controller has a tool length table in addition to a tool table, and each entry in the tool table has a corresponding length in the length table which has been correctly configured. For example, if tool number 2 has a length 10mm longer than the reference tool, the the Z values will be reduced by 10mm when tool 2 is selected. This is actually achieved by inserting a G43 H2 immediately before the T2 ... line.


NC generation

In this dialog you can control evrything which is concerned with the generation of the NC file.

Opening and closing rem characters

The file may contain remarks, which are to convey information to the operator. The sequence of characters which indicates the beginning of a remark is specified in the edit box "Open rem". Often there will be no need for a character or sequence to terminate a rem, but if required it should be specified in "Close rem". If you want to suppress the output of rems, deselect "Generate remarks in GCode"..

Cutviewer directives.

In order to use Cutviewer, a GCode viualisation tool I happen to like, you will need to select "Generate cutviewerr directives"

Cutter tool station

The cutter tool sstation is used to specify a location for the cutter to go to in order for you to change the cutter. Note that if the Z value is zero, the command is ignored. Otherwise, when a tool change is required, the cutter will first retract to the specified Z height, and then move sideways if necessary to the specified X and Y values.

Points used to plot ...

The number of points to plot determine the fineness of the tooth profile, and if you are using a generated root, the root profile also.

Teeth XY feed rate

You next specify the lateral feed rate, in either inches/minute or mm/minute. This feed rate is used for all cutting done by the tool asociated with tooth cutting. The full tool table is accessible in the Z-settings dialog. This is just a duplicate of the feed for the cutter specified for teeth.

Teeth cutter diameter

You next specify the diameter, in either inches/minute or mm/minute. This diameter is used for all cutting done by the tool asociated with tooth cutting. The full tool table is accessible in the Z-settings dialog. This is just a duplicate of the diameter for the cutter specified for teeth.

Z feed rate

There is an opportunity here to specify the Z feed rate which is only used for plunges. This is a duplicate of the setting in the Z settings dialog.

Preamble file

You can specify in here the location of an ASCII text file (not UNICODE) which contains an NC preamble to be sent to the mill before any other code. It will be inserted at the very beginning of the NC code and it will be up to you to include the first "%CRLF" if your controller needs it.


Supplementary holes

You can bore up to twelve holes at arbitrary locations within your design. A hole will be bored at the X and Y coordinates specified for any hole with a specified diameter greater than or equal to that of the cutter.

You can also place up to 360 equal sized holes at regular intervals around a circle of a specified radius. This is handy for making pin wheels and lantern pinions.

Note that it is the selection of a non-zero diameter which enables the hole.

You can drill a slightly smaller hole at the same location and then use boring to enlarge it to the correct size.


Supplementary holes

Drilled holes

You can drill up to twelve holes at arbitrary locations within your design. A hole will be drilled at the X and Y coordinates specified for any hole with a specified destination depth less than zero. This means that the depth will a negative value

You can also place up to 360 drill holes at regular intervals around a circle of a specified radius. This is handy for making pin wheels and lantern pinions.

The specified cutter diameter in the cutter table is only used for drawing the spot on the graphical display. You can have several different sizes of drill if you wish. Check "Pause after every hole" to have the opportunity of changing the drill.

The drill cycle uses pecking, with four pecks. Note that the feedrate specified in the cutter table is in this case the vertical feed rate.


Auto-stop

Make buttons

(NC, DXF , AMF and Points)

These buttons will force a re-read of all controls, and a regeneration of the gear wheel.

If the "Make NC" is clicked, the NC code will be regenerated.

If the "Make DXF" is clicked, the DXF file will be regenerated. Click for more info>

If the "Make AMF" is clicked, the AMF file will be regenerated. Note that "Halfwheel" will always be turned off in this case. Click for more info>

If the "Make Points" is clicked, the Points Curve file will be regenerated. Click for more info>

The design will regenerate whenever a check box is clicked, and when you press the enter key. However, whether this will result in CAM files being rewritten depends on the settings of "Only write NC file when generate pressed?", "Only write DXF file when generate pressed?" and "Only write AMF file when generate pressed?". If checked, the CAM file will only be written when you click the "Make ..." button. If not checked, the file will be overwritten every time the drawing regenerates whatever the reason. This may slow it down.


Undo

Undo the most recent operation.


Redo

Redo the most recent undone operation.


Copy

Copy the current graphical screen to the clipboard.


(toolbar)

The toolbar is displayed across the top of the application window, below the menu bar. The toolbar provides quick mouse access to many tools.

To hide or display the toolbar, click Toolbar from the View menu.


(status bar)

The status bar is displayed at the bottom of the main window. To display or hide the status bar, use the Status Bar command in the View menu.

The left area of the status bar describes actions of menu items as you use the arrow keys to navigate through menus. This area similarly shows messages that describe the actions of toolbar buttons as you press them, before releasing them. If after viewing the description of the toolbar button command you wish not to execute the command, then release the mouse button while the pointer is off the toolbar button.

The right areas of the status bar indicate which of the following keys are latched down:

Indicator Description

CAP The Caps Lock key is latched down.

NUM The Num Lock key is latched down.

SCRL The Scroll Lock key is latched down.


Rulers

Toggle the visibility of a pair of rulers, overlaid onto your preview.


Annotation

Place useful design notes on the preview drawing.


Pitch Circle

Toggle the visibility of a dotted circle, indicating the location of the pitch circle of a gear. If profile shift is applied, you will also see the extended pitch circle.


Base Circle

Toggle the visibility of a dotted circle, indicating the location of the base circle of an involute gear. This is not the same as the root circle or the pitch circle.


Single Tooth

Alternates the preview window zoom between filling the window with either a single tooth or the entire wheel.


(About command (Help menu))

Use this command to display the copyright notice and version number of your copy of this program.


Number of teeth

The number of teeth of the generated gear. This, in conjunction with the module, determines the pitch diameter of the wheel.

Pitch diameter = Module * number of teeth.

Incidentally, the same formula determines the diameter of a plain pulley, even though it has no teeth. It also determines the diameter of a ratchet wheel and an escape wheel, where the pitch diameter is the same as the tip diameter.


Number of teeth

Module

The mm module of the generated gear. This, in conjunction with the number of teeth, determines the pitch diameter of the wheel.

Pitch diameter = Module * number of teeth.

The module is the reciprocal of the diametric pitch having allowed for any change of units. Hence the mm module is:

Mo = 25.4 / DP
(where DP is the inch diametric pitch)

Note that, in the case of a plain pulley with no teeth, the same identical formula is used to set the outside diameter of the pulley even though it has no teeth.

Similarly, the same formula is used to calculate the diameter of an escape wheel or a ratchet wheel, and a chain wheel (sprocket).

The distance between the teeth measured around the pitch circle is

Reference pitch = PI x Module

This is important because you usually know the linear pitch of a chain, so to get to a module for a chain wheel you need to divide the pitch of the chain by Pi.


Cutter diameter

The cutter diameter is the diameter of the vertical milling cutter (or the kerf size for EDM) for which compensation allowance will be made. Since the wheel will be manufactured by tracing around the teeth, it follows that the tool path must be displaced by a distance equal to the radius of the cutter so that the cut edge will follow the design.

By setting the cutter diameter to zero, the path traced is the actual outline of the gear wheel.

The maximum usable cutter size should be determined by inspection. This will influence the diameter of the fillet at the root of the teeth. If the cutter is so large that it will affect the working tooth profile that a warning message will be displayed.

Both the GCode file and the DXF file will contain the toolpath, that is the path followed by the centre of the tool. It follows that to generate a DXF of the actual tooth form, you must first set the cutter diameter to zero.

In its simplest mode, the same cutter will be used for all phases of the wheel's manufacture. You can override this behaviour in the Z-settings dialog. Once you do this, the main cutter diameter control wll always affect the cutter whose number is specified for "Teeth".

Remember that both CNC files will be overwritten on subsequent regenerations.


Number of Spokes

If you would like your wheel to have spokes (crossed out in clockmaking terminology), specify the number of spokes here. A value of zero disables the spokes function.


Spoke thickness

Specify the thickness of the spokes at their innermost end. You may also apply a taper.


Hub diameter

In hub blend mode (grandfather clock), this value determines the diameter at which the straight edge of the spoke transitions into an arc of a circle. When not in blend mode, the hub is fashioned in the style of an English regulator. The control will specify the diameter of the hub from which the spokes radiate outwards.


Spoke taper

Specify the taper of the spokes. A value of 1.0 generates a parallel spoke. A value of 0.5 will make the thickness of the spoke at the rim equal to one half of its thickness at the hub. A value of 1.5 will make the spoke thicker at the rim by half as much again compared to its thickness at the hub.


Rim thickness

This is the thickness of the rim of the wheel, from the inside edge of the rim to the bottom of the root of the teeth.


Half wheel

If the diameter of the wheel exceeds the Y travel of your CNC mill, you might consider machining the wheel in two halves. With this option checked, the last tooth to be formed may be used as an index. After milling you will need to rotate the blank exactly half a turn. In addition, if either the number of teeth is odd or the number of spokes is odd you will need to mirror the X axis. Then you run the file again.

It is important that you give this some though before commiting to metal. In particular, wheels with odd numbers of teeth and/or spokes can be a challenge, especially in the case of wheels with asymmetric teeth such as escape wheels.


Bore

This edit field allows you to enter the diameter of a hole to be bored from the hub of the externally toothed wheel. This process will comply with the Z depth and number of passes chosen. A value of zero will disable this option.

If you are designing an internal spur gear, the bore hole setting may be used to trim the outside of the gear to size


Tooth form

Tooth form, Involute - Cycloidal - Deadbeat - Anchor - Ratchet - Pulley - Chainwheel

These radio buttons are for the selection of the tooth form and are mutually exclusive.

When a selection is made, those controls which are not relevent to the selected form will be disabled and shown in gray.

Cycloidal form

When the cycloidal form is selected, a gear is generated which is generally in accordance with BS978. The addenda of cycloidal gears are not usually cycloidal; this would require extremely precise depthing. Instead, the addenda are circular arcs which interesect at the tip. However, in order to calculate the radius of the addenda and the tip radius of the wheel, a true cycloid is used for the computation. This computation is very dependant on the number of leaves on the pinion which is destined to mate with the wheel. The flanks of the cycloidal gear teeth are radial cuts. The shape of the root is determined by the diameter of the cutter chosen.

Involute form

The involute form of gear needs more parameters to be specified. The pressure angle is the slope of the flank of the tooth as it crosses the pitch circle. Popular values are 20 degrees and less commonly 14.5 degrees. The addendum height and dedendum depth are numerically equal to the module for a full depth gear, with the proviso that a clearance is added to the dedendum, whose value is often 0.157 times the module but is sometimes 0.250 module.

The tooth form may be modified in two different ways. 'Profile shift' (correction)changes the working part of the involute profile. It is moved outwards for positive correction and inwards for negative. A common approach is to apply equal and opposite correction, positive for the pinion and negative for the wheel, in order to reduce the possibility of interference at the roots of the pinion teeth. Alternatively the centre distances may be adjusted to allow non-cancelling compensation of wheel and pinion.

A second approach is to reduce the addendum and the dedendum of both wheel and pinion. This produces a 'stub gear' when the 'depth factor' is less than unity. A full depth form has a depth factor of one.

Deadbeat escape wheel

This tooth profile generates an escape wheel suitable for the dead-beat (Graham) escapement. The tooth is constructed of straight line segments. It is characterised by its undercut, its back-slope, its witness and the ratio of the depth of cut to the tip diameter. Typical values are:

  • Number of teeth 30
  • Module 1.0 (gives a tip diameter of 30mm, D = N x m)
  • Undercut 6.0 degrees
  • Backslope 20.0 degrees (included angle 14 degrees).
  • Root factor 0.8
  • Witness, the flat tip of the tooth, 0.1mm

You can fine tune the profile to exactly meet your requirements. Please make very small incremental adjustments to the parameters. It is possible to generate some bizzare wheels with incompatible values!

Anchor or Recoil escape wheel

This tooth profile generates an escape wheel suitable for the recoil escapement. The tooth is constructed of two straight line segments and one arc. It is characterised by its undercut, its witness and the ratio of the depth of cut to the tip diameter. Typical values are:

  • Number of teeth 30
  • Module 1.0 (gives a tip diameter of 30mm, D = N x m)
  • Undercut 0.0 degrees. Can be slightly positive or negative
  • Root factor 0.77
  • Witness, the flat tip of the tooth, 0.2mm

Ratchet wheel

This tooth profile generates a ratchet wheel. The tooth is constructed of two straight line segments and one arc. It is characterised by its witness and the ratio of the depth of cut to the tip diameter. The arc which imparts a slight curve to the teeth has a radius of curvature equal to the tip radius of the wheel. Typical values are:

  • Number of teeth 30
  • Module 1.0 (gives a tip diameter of 30mm, D = N x m)
  • Root factor 0.9
  • Witness, the flat tip of the tooth, 0.1mm or even 0 mm

Note. You can make a smooth round pulley such as a weight pulley by setting the root to tip ratio of a ratchet wheel to one.

You can fine tune the profile to exactly meet your requirements. Please make very small incremental adjustments to the parameters. It is possible to generate some bizzare wheels with incompatible values!

Pulley wheel

This profile generates a plain wheel with no teeth. In the interests of consistency the outside diameter is the same as the pitch circle that would have been created by the specified number of teeth and module, even though there will be no teeth.

Sprocket (Chain wheel)

This follows the usual practice of specifying the pitch as a module (or a DP). The control "Roller diameter" sets the diameter of the roller, and the backslope control sets the angle of the teeth outside of the pitch circle. To arrive at the module, divide the linear pitch of the chain by Pi.


Pinion teeth

Mating pinion teeth

The design of a cycloidal wheel is affected by the number of teeth on the pinion with which it will mate. The extent and shape of the addendum is determined by this value. (British Standard BS978 pt2)

If this value is set to zero, then the wheel design changes to that of a horological pinion. Since this may be more challenging to machine since its depth exceeds the length of most small cutters, you might consider building the pinion as a laminated structure of several thinner pinions.


Pressure angle

The definition of a pressure angle is the slope of the flank of the tooth relative to a radial line drawn toward the centre of the wheel. Since this value changes with radius, the pressure angle is quoted at the pitch circle radius.

The pressure angle fundamentally determines the form of the involute. A higher pressure angle produces teeth which are more pointed than a smaller pressure angle. A small pressure angle pinion is more prone to need undercut in order to clear the tips of a mating wheel or rack, which might need profile shift to correct. The most popular pressure angle is 20 degrees.


Root clearance

Involute

The default root clearance is 0.157. The full depth involute profile generates teeth which extend outside of the pitch circle (the addendum) and inside of the pitch circle (the dedendum) by similar amounts numerically equal to the module. However, in order to provide a working clearance, the dedendum is made deeper by a constant proportion of the module. So the actual depth of the cut between the teeth is typically 1.157 times the module. This value can be varied for different applications. Sometimes a clearance 0.250 is used.

In the case of an internal spur gear, the clearance is applied at the outermost radius of the tooth space.

Cycloidal

For wheels the default root clearance is zero. By default the dedendum is numerically equal to the addendum. This value can be increased by entering a non-zero positive value and decreased by entering a negative value. The clearance value is multiplied by the module and added to the addendum value to give the dedendum.

For pinions, the dedendum is a function of the number of leaves. A pinion with six leaves or less has a dedendum of 1.75, seven has 1.85, eight and nine have 1.9, ten has 2.05 and above ten have 2.1.


Profile shift, tooth correction

Depending on the pressure angle and the number of teeth on an involute gear, a situation arises where the tips of the teeth on the larger wheel or rack will scrape the roots of the teeth of the pinion. This is called interference and for a twenty degree pressure angle full depth pinion it becomes apparent when the tooth count is less than nineteen.

When a gear is generated using a plane or a hob, the cutter has the profile of a rack. The tooth form is a trapezoid which in principle has a flank angle equal to the pressure angle. The teeth extend equally above and below the pitch line (which corresponds with the pitch circle of the wheel) by one module.

The gear is formed by moving the generating rack bodily back and forth, normal to the plane of the wheel. The wheel is then advanced slightly, and the rack is moved tangentially so that the pitch circle and the pitch line do not slip. The cut is repeated.

A situation can be envisaged where the corner of the rack addendum will cut a trochoidal fillet from the root of the tooth, although it is the straight flank of the rack which forms the involute. This will weaken the wheel teeth. It can be avoided by cutting the wheel with the rack or hob moved slightly away from the wheel. If the adjustment is reversed when generating the mating wheel then the depthing will be substantially unchanged. But the working part of the involute has been moved away from the centre of the smaller wheel, and toward the centre of the larger one.

In the case of a profile shifted involute wheel, the tooth ratio is applied at the extended pitch radius. For example, in the case of a wheel with a module of 3 and a profile shift of +0.5, the extended pitch radius is 1.5 mm larger than the pitch radius deduced from the module times the number of teeth.


Depth factor

The default value for the depth factor is 1.0. This produces a standard, full depth, involute tooth form where the addendum is equal to the module and the dedendum is equal to:

(1+Clearance) x Module

Sometimes it is useful to make a gear system where the teeth are shortened. In effect the addendum, dedendum and clearance are calculated as if the module were less than the actual module. These are called stub tooth gears. For example, a module of 2.0, with a depth factor of 0.8, will create addenda, dedenda and clearance as though the module were 1.6.


Generated root clearance

This check box causes the program to generate the path followed by the (sharp) corner of a rack as it engages with the gear being designed. This will generate the exact form of root clearance needed at the expense of increased tool path complexity.

When the box is not checked, the dedendum will be a simple radial cut, with a root fillet determined only by the diameter of the cutter. For most situations this is adequate, and for a cutter which is large in terms of the module it may be the only practical option.

For some situations, particulary with a low count pinion engaging a high count wheel or a rack, a check on the root clearance is advisable. You can then choose either to cut it that way, or to apply correction.

There is no involute action at a radius which is less than that of the base circle of an involute gear. The base circle is the conceptual circle around which a cord could be wrapped. As the cord is unwrapped, a fixed point on the cord will trace the involute flank of a tooth. The radius of the base circle is related to the pitch circle radius and the pressure angle:

Base radius = Pitch radius x cos(Pressure angle)

If the dedendum is no deeper than the base radius, then interference will not occur.

Depending on the pressure angle and the number of teeth on an involute gear, a situation arises where the tips of the teeth on the larger wheel or rack will scrape the roots of the teeth of the pinion. This is called interference and for a twenty degree pressure angle full depth pinion it becomes apparent if the tooth count is less than nineteen.

When a gear is generated using a plane or a hob, the cutter has the profile of a rack. The tooth form is a trapezoid which in principle has a flank angle equal to the pressure angle. The teeth extend equally above and below the pitch line (which corresponds with the pitch circle of the wheel) by one module.

The gear is formed by moving the generating rack bodily back and forth, normal to the plane of the wheel. The wheel is then advanced slightly, and the rack is moved tangentially so that the pitch circle and the pitch line do not slip. The cut is repeated.

A situation can be envisaged where the corner of the rack addendum will cut a trochoidal fillet from the root of the tooth, although it is the straight flank of the rack which forms the involute. This will weaken the wheel teeth.

The root profile generated by the program is that path which would be cut by a sharp cornered rack, with its addendum calculated from the module, depth factor and profile shift values, and with the tip extended by the specified clearance.


Internal spur gear

This check box switches the program to design an internally toothed involute spur gear. This type of gear might be used to make an epicyclic gear train, or a compact non direction reversing reduction gear.

In principle, the profile of the tooth space of an internal gear is similar to the tooth form of an external gear. The clearance moves to the outside, and the definition of the tooth addendum is now at the innermost radius. The cutter path is adjusted to remove the kerf from the waste area.

The centre shaft hole boring facility is altered to allow you to trim the outside of the ring gear.


Back-slope

Specify the angle in degrees for the trailing edges of the teeth of a dead-beat escape wheel. A typical value is 20 degrees.

Backslope is also used for a chainwheel (sprocket). Whatever the addendum slope is set to, for the last 20% of the addendum length the backslope value is added to the addendum slope to make a sharper point at the tip of the tooth. If you don't want this, set the backslope to zero.


Radius factor

Specify the radius of curvature for the trailing edge of a recoil escape wheel. It is expressed as a multiple of the circular pitch of the tips of the teeth. A typical value is 2.5, which means that the radius is 2.5 times the distance apart of adjacent teeth tips. The value is also used to control the curvature of the long edge of a ratchet wheel tooth. As the radius factor is increased the curves eventually become straight.


Undercut

Specify the angle in degrees for the leading edge of the teeth of a dead-beat escape wheel. A typical value is in the range 6 to 10 degrees. The value is also used for the trailing edge of a recoil escape wheel. A common value for this is 0.


Witness

The tips of the teeth of an escape wheel cannot come to a sharp point because the radius would not be defined. They usually end in a small flat land called a witness. You can specify the size of this flat. A typical value is 0.1mm.


Root tip ratio

Root to tip ratio

When designing an escape wheel you can control the depth to which the teeth are cut. This is specified as the ratio of the root diameter to the tip diameter. A typical value is around 0.8.


Tooth pitch ratio

Tooth to pitch ratio

The default value for the tooth to pitch ratio is 0.5. This means that, at the pitch circle radius, the width of the tooth and the width of the gap between the teeth is equal. It would be unusual to deviate from this, but the option is available should you so wish. So if the ratio is set to 0.4, then the tooth will be 0.4 times the circular pitch and the gap will be 0.6 times the circular pitch.

A special situation exists in the case of cycloidal horological pinions. They have a tooth to pitch ratio which is fixed at 1/3 for pinions of nine leaves and less, and 2/5 for ten or more. This is in accordance with British Standard BS978 and Swiss standard NHS56702 .

In the case of a profile shifted involute wheel, the tooth ratio is applied at the extended pitch radius. For example, in the case of a wheel with a module of 3 and a profile shift of +0.5, the extended pitch radius is 1.5 mm larger than the pitch radius deduced from the module times the number of teeth.


Addendum slope

If the addendum slope is set to zero, the chain-wheel assumes an addendum which is a circular arc centred at the centre of an adjacent roller.

If the slope is greater than zero, then the addendum becomes a straight line, A second chamfer slope is controlled by the backslope control . A slope of a few degrees will generate addenda which protrude straight out from the ends of the semicircular cutout for the roller. As you increase the addendum slope, the adenda start to splay out, and begin earlier in the crescent so they are always a tangent to the roller crescent.

A small addendum slope makes a reasonable pulley for a toothed belt.


Addendum factor

Specify the height which the addendum of a chain wheel protrudes beyond the pitch circle. The distance is expressed as a multiple of the roller diameter. By adjust this you can determine the diameter at which the addendum is truncated


Roller diameter

Specify the diameter of the chain roller for use with your sprocket.


(No Help Available)

No help is available for this message box.


Teeth distortion

This value, and the associated dialog, are used for a special purpose. This is the use of Gearwheel designer to help with the CAD generation of bevel gears.

Most CAD packages, when extruding a tapering shape, start with a projection of the teeth onto a plane perpendicular to the axis of the wheel. But in the case of a bevel gear, the true tooth form is seen when viewing from the pitch radius along the cone determined by the pitch angle, which is itself determined by the arctangent of the gear ratio. In order to make this profile correct, it is necesary to predistort the view of the teeth normal to the axis. As you increase the distortion value, the teeth become stretched.

Clicking Bevel aid will open a dialog into which you can type the parameters you know. Clicking Calculate will evaluate other useful parameters to aid in the extrusion.


Supplementary holes or drilled holes

Supplementary holes

You can bore up to twelve holes at arbitrary locations within your design. A hole will be bored at the X and Y coordinates specified for any hole with a specified diameter greater than or equal to that of the cutter.

You can also place up to 360 equal sized holes at regular intervals around a circle of a specified radius. This is handy for making pin wheels and lantern pinions.

Note that it is the selection of a non-zero diameter which enables the hole.

Also note that you can drill a hole slightly smaller than desired to start with, and then finally bore it to size. See "Drilled holes".

Drilled holes

You can drill up to twelve holes at arbitrary locations within your design. A hole will be drilled at the X and Y coordinates specified for any hole with a specified destination depth less than zero. This means that the depth will a negative value

You can also place up to 360 drill holes at regular intervals around a circle of a specified radius. This is handy for making pin wheels and lantern pinions.

The specified cutter diameter in the cutter table is only used for drawing the spot on the graphical display. You can have several different sizes of drill if you wish. Check "Pause after every hole" to have the opportunity of changing the drill.

The drill cycle uses pecking, with four pecks. Note that the feedrate specified in the cutter table is in this case the vertical feed rate.


(Help Using Help Command)

Context Help command

Use this command to obtain help on some portion of this program. When you choose the toolbar's Context Help button, the mouse pointer will change to an arrow and question mark. Then click somewhere in the program window, such as another toolbar button. The help topic will be shown for the item you clicked.


Most recently used command

Most recently used command (File menu)

Use the filenames listed at the bottom of the File menu to re-open the last four documents you closed. Choose the name that corresponds with the document you want to open.


(Index command (Help menu))

Use this command to display the opening screen of help. From the opening screen, you can jump to step-by-step instructions for using the program and various types of reference information.

Once you open help, you can click the Contents button whenever you want to return to the opening screen.


(Using Help command (Help menu))

Use this command for instructions about using help.


(Title Bar)

The title bar is located along the top of a window. It contains the name of the application and document.

To move the window, drag the title bar. Note: You can also move dialog boxes by dragging their title bars.

A title bar may contain the following elements:

Application Control menu button

Document Control menu button

Maximize button

Minimize button

Name of the application

Name of the document

Restore button


(No Help Available)

No help is available for this area of the window.


(Close command (Control menus))

Use this command to close the active window or dialog box.

Double-clicking a Control menu box is the same as choosing the Close command.

Note: If you have multiple windows open for a single document, the Close command on the document Control menu closes only one window at a time. You can close all windows at once with the Close command on the File menu.


(Maximize command (System menu))

Use this command to enlarge the active window to fill the available space.


(System Minimize Command)

Minimize command (application Control menu)

Use this command to reduce the window to an icon.


(Move command (Control menu))

Use this command to display a four-headed arrow so you can move the active window or dialog box with the arrow keys.

Note: This command is unavailable if you maximize the window.


(Next Window command (document Control menu))

Use this command to switch to the next open document window. <<YourApp>> determines which window is next according to the order in which you opened the windows.


(Previous Window command (document Control menu))

Use this command to switch to the previous open document window. <<YourApp>> determines which window is previous according to the order in which you opened the windows.


(Restore command (Control menu))

Use this command to return the active window to its size and position before you chose the Maximize or Minimize command.


(Size command (System menu))

Use this command to display a four-headed arrow so you can size the active window with the arrow keys.

After the pointer changes to the four-headed arrow:

1.Press one of the direction keys (left, right, up, or down arrow key) to move the pointer to the border you want to move.

2.Press a direction key to move the border.

3.Press ENTER when the window is the size you want.

Note: This command is unavailable if you maximize the window.


(Switch to command (application Control menu))

Use this command to display a list of all open applications. Use this task List to switch to or close an application on the list.

Dialog Box Options

When you choose the Switch To command, you will be presented with a dialog box with the following options:

Task List

Specifies the application you want to switch to or close.

Switch To

Makes the selected application active.

End Task

Closes the selected application.

Cancel

Closes the Task List box.

Cascade

Arranges open applications so they overlap and you can see each title bar. This option does not affect applications reduced to icons.

Tile

Arranges open applications into windows that do not overlap. This option does not affect applications reduced to icons.

Arrange Icons

Arranges the icons of all minimized applications across the bottom of the screen.


(View Status Bar Command)

Status Bar command (View menu)

Use this command to display and hide the status bar, which describes the action to be executed by the selected menu item or pressed toolbar button, and keyboard latch state. A checkmark appears next to the menu item when the status bar is displayed.

See Status Bar for help on using the status bar.


(View Toolbar command)

Toolbar command (View menu)

Use this command to display and hide the toolbar, which includes buttons for some of the most common commands , such as Open design. A checkmark appears next to the menu item when the toolbar is displayed.

See Toolbar for help on using the toolbar.


Hub blend

Switch to a crossings style similar to those used in English longcase (grandfather) clocks. When not selected, the style reverts to that of an English regulator, with a definate inner hub.